%define _disable_ld_no_undefined 1

# extracted from sip.h, SIP_API_MAJOR_NR SIP_API_MINOR_NR defines
%define sip_api_major 11
%define sip_api_minor 1
%define sip_api       %{sip_api_major}.%{sip_api_minor}

# Force python3 build - required by new hplip
# % {?build_python3}%{?!build_python3:%bcond_without python3}
%bcond_without python3

Summary:	Riverbanks's python sip
Name:		python-sip
Version:	4.16.7
Release:	5
Epoch:		3
License:	GPLv2+
Group:		Development/Python
Url:		http://www.riverbankcomputing.co.uk/software/sip/intro
Source0:	http://downloads.sourceforge.net/pyqt/sip-%{version}.tar.gz
Patch0:		sip-4.16.1-python3-bin.patch
BuildRequires:	bzip2-devel
BuildRequires:	pkgconfig(python)
%if %{with python3}
BuildRequires:	pkgconfig(python3)
%endif
Requires:	sip-macros = %{EVRD}
Provides:	sip-api(%{sip_api_major}) = %{sip_api}

%description
SIP is a tool that makes it very easy to create Python bindings
for C and C++ libraries. It was originally developed to create PyQt,
the Python bindings for the Qt toolkit, but can be used to
create bindings for any C or C++ library.

%files
%{_bindir}/sip
%{py_incdir}/sip.h
%{py_platsitedir}/sip*

#----------------------------------------------------------------------------
%if %{with python3}

%package -n python3-sip
Summary:	Riverbanks's python sip
Group:		Development/Python
Requires:	sip-macros = %{EVRD}
Conflicts:	python3-sip < 3:4.16.1-3
Obsoletes:	python3-sip < 3:4.16.1-3
Conflicts:	python3-sip-devel < 3:4.16.1-3
Obsoletes:	python3-sip-devel < 3:4.16.1-3
Provides:	python3-sip-api(%{sip_api_major}) = %{sip_api}

%description -n python3-sip
SIP is a tool that makes it very easy to create Python bindings
for C and C++ libraries. It was originally developed to create PyQt,
the Python bindings for the Qt toolkit, but can be used to
create bindings for any C or C++ library.

%files -n python3-sip
%{_bindir}/sip3
%{py3_incdir}/sip.h
%{py3_platsitedir}/sip*

%endif
#----------------------------------------------------------------------------

%package -n sip-macros
Summary:	RPM macros for python sip
Group:		Development/Python
Conflicts:	python-sip < 3:4.16.1-3
Conflicts:	python3-sip-devel < 3:4.16.1-3

%description -n sip-macros
RPM macros for python sip.

%files -n sip-macros
%{_sysconfdir}/rpm/macros.d/sip.macros

#----------------------------------------------------------------------------

%prep
%setup -qcn sip-%{version}

pushd sip-%{version}
# Check API minor/major numbers
export real_api_major=`grep SIP_API_MAJOR_NR siplib/sip.h.in|head -n1|awk -F' ' '{print $3}'`
export real_api_minor=`grep SIP_API_MINOR_NR siplib/sip.h.in|head -n1|awk -F' ' '{print $3}'`
if [ $real_api_major -ne %{sip_api_major} ]; then
    echo 'Wrong spi major specified: Should be' $real_api_major ', but set' %{sip_api_major}
    exit 1
fi
if [ $real_api_minor -ne %{sip_api_minor} ]; then
    echo 'Wrong spi minor specified: Should be' $real_api_minor ', but set' %{sip_api_minor}
    exit 1
fi

#  Don't use X11R6 prefix for includes neither libraries by default.
for file in specs/linux-*; do
    perl -p -i -e "s@/X11R6/@/@g" $file
done
popd

mv sip-%{version} python2

%if %{with python3}
cp -r python2 python3

pushd python3
%patch0 -p1
popd
%endif

%build
pushd python2
python2 configure.py
%make CFLAGS="%{optflags} -fPIC" CXXFLAGS="%{optflags} -fPIC" LIBS="%{?ldflags} -lpython%{py_ver}"
popd

%if %{with python3}
pushd python3
python3 configure.py --sipdir=%{_datadir}/sip3
%make CFLAGS="%{optflags} -fPIC" CXXFLAGS="%{optflags} -fPIC" LIBS="%{?ldflags} -lpython%{py3_ver}"
popd
%endif

%install
%makeinstall_std -C python2
%if %{with python3}
%makeinstall_std -C python3
%endif

mkdir -p %{buildroot}%{_sysconfdir}/rpm/macros.d/
cat > %{buildroot}%{_sysconfdir}/rpm/macros.d/sip.macros << EOF
# extracted from sip.h, SIP_API_MAJOR_NR SIP_API_MINOR_NR defines
%%sip_api_major %{sip_api_major}
%%sip_api_minor %{sip_api_minor}
%%sip_api       %{sip_api_major}.%{sip_api_minor}
EOF

%changelog

* Thu Apr 07 2016 Denis Silakov <dsilakov@gmail.com> 3:4.16.7-5
- (dcf0764) Updated to 4.16.7 - latest version with the same API


